SilentLogger (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.listener, class: SilentLogger

Package org.apache.tools.ant.listener

# Class SilentLogger

java.lang.Object
org.apache.tools.ant.DefaultLogger
org.apache.tools.ant.listener.SilentLogger

All Implemented Interfaces:
  `EventListener`, `BuildListener`, `BuildLogger`

public class SilentLogger extends DefaultLogger
A logger which logs nothing but build failure and what task might output

Since:
  1.9.0

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.DefaultLogger

  `emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SilentLogger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFinished(BuildEvent event)`
  Prints whether the build succeeded or failed, any errors the occurred during the build, and how long the build took.
  `void`
  `buildStarted(BuildEvent event)`
  Responds to a build being started by just remembering the current time.
  `void`
  `targetFinished(BuildEvent event)`
  No-op implementation.
  `void`
  `targetStarted(BuildEvent event)`
  Logs a message to say that the target has started if this logger allows information-level messages.
  `void`
  `taskFinished(BuildEvent event)`
  No-op implementation.
  `void`
  `taskStarted(BuildEvent event)`
  No-op implementation.

  ### Methods inherited from class org.apache.tools.ant.DefaultLogger

  `extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getMessageOutputLevel, getTimestamp, log, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SilentLogger

    public SilentLogger()

- ## Method Details

  - ### buildStarted

    public void buildStarted(BuildEvent event)
    Description copied from class: `DefaultLogger`
    Responds to a build being started by just remembering the current time.
    Specified by:
      `buildStarted` in interface `BuildListener`
    Overrides:
      `buildStarted` in class `DefaultLogger`
    Parameters:
      `event` - Ignored.

  - ### buildFinished

    public void buildFinished(BuildEvent event)
    Description copied from class: `DefaultLogger`
    Prints whether the build succeeded or failed, any errors the occurred during the build, and how long the build took.
    Specified by:
      `buildFinished` in interface `BuildListener`
    Overrides:
      `buildFinished` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getException()`

  - ### targetStarted

    public void targetStarted(BuildEvent event)
    Description copied from class: `DefaultLogger`
    Logs a message to say that the target has started if this logger allows information-level messages.
    Specified by:
      `targetStarted` in interface `BuildListener`
    Overrides:
      `targetStarted` in class `DefaultLogger`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - `BuildEvent.getTarget()`

  - ### targetFinished

    public void targetFinished(BuildEvent event)
    Description copied from class: `DefaultLogger`
    No-op implementation.
    Specified by:
      `targetFinished` in interface `BuildListener`
    Overrides:
      `targetFinished` in class `DefaultLogger`
    Parameters:
      `event` - Ignored.
    See Also:
      - `BuildEvent.getException()`

  - ### taskStarted

    public void taskStarted(BuildEvent event)
    Description copied from class: `DefaultLogger`
    No-op implementation.
    Specified by:
      `taskStarted` in interface `BuildListener`
    Overrides:
      `taskStarted` in class `DefaultLogger`
    Parameters:
      `event` - Ignored.
    See Also:
      - `BuildEvent.getTask()`

  - ### taskFinished

    public void taskFinished(BuildEvent event)
    Description copied from class: `DefaultLogger`
    No-op implementation.
    Specified by:
      `taskFinished` in interface `BuildListener`
    Overrides:
      `taskFinished` in class `DefaultLogger`
    Parameters:
      `event` - Ignored.
    See Also:
      - `BuildEvent.getException()`